# $Revision: 1.17 $, $Date: 2009/03/15 22:54:40 $
%define		_rel	080712git
%define		_name	fusion-icon
Summary:	Small program to control your GL Desktop
Summary(pl.UTF-8):	Mały program do kontroli pulpitu GL
Name:		compiz-%{_name}
Version:	0.1.0
Release:	0.%{_rel}.3
Epoch:		1
License:	GPL v2+
Group:		X11/Window Managers/Tools
# It's from git://anongit.compiz-fusion.org/users/crdlb/fusion-icon
Source0:	%{_name}-%{_rel}.tar.bz2
# Source0-md5:	767c3ec198b780eb83656c48f92add1d
URL:		http://compiz-fusion.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-interface = %{epoch}:%{version}-%{release}
Requires:	compiz >= 0.5.1
Requires:	python-compizconfig
Requires:	xorg-app-xvinfo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compiz Fusion Icon is a small program written in Python which lets you
control your GL Desktop it handles your different decorators
(non-GL/GL) and configurators.

%description -l pl.UTF-8
Compiz Fusion Icon jest małym programem napisanym w Pythonie, który
pozwala na kontrolę pulpitu GL. Obsługuje różne dekoratory (GL/nie-GL)
i konfiguratory.

%package interface-gtk
Summary:	GTK+ interface for Compiz Fusion Icon
Summary(pl.UTF-8):	Compiz Fusion Icon - interfejs GTK+
Group:		X11/Window Managers/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-pygtk-gtk >= 2:2.10.0
Suggests:	compizconfig-backend-gconf
Provides:	%{name}-interface = %{epoch}:%{version}-%{release}

%description interface-gtk
GTK+ interface for Compiz Fusion Icon.

%description interface-gtk -l pl.UTF-8
Compiz Fusion Icon - interfejs GTK+.

%package interface-qt4
Summary:	Qt4 interface for Compiz Fusion Icon
Summary(pl.UTF-8):	Compiz Fusion Icon - interfejs Qt4+
Group:		X11/Window Managers/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-PyQt4
Suggests:	compizconfig-backend-kconfig
Provides:	%{name}-interface = %{epoch}:%{version}-%{release}

%description interface-qt4
Qt4 interface for Compiz Fusion Icon.

%description interface-qt4 -l pl.UTF-8
Compiz Fusion Icon - interfejs Qt4.

%prep
%setup -q -n %{_name}

%build
%{__python} setup.py build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	-O1 \
	--skip-build \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fusion-icon
%{_desktopdir}/fusion-icon.desktop
%dir %{py_sitescriptdir}/FusionIcon
%{py_sitescriptdir}/FusionIcon/*.py[co]
%{py_sitescriptdir}/fusion_icon-*.egg-info
%{_iconsdir}/hicolor/*x*/apps/fusion-icon.png
%{_iconsdir}/hicolor/scalable/apps/fusion-icon.svg

%files interface-gtk
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/FusionIcon/interface_gtk
%{py_sitescriptdir}/FusionIcon/interface_gtk/*.py[co]

%files interface-qt4
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/FusionIcon/interface_qt4
%{py_sitescriptdir}/FusionIcon/interface_qt4/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: compiz-fusion-icon.spec,v $
Revision 1.17  2009/03/15 22:54:40  hawk
- release 3

Revision 1.16  2008/10/11 13:56:25  wolvverine
- rel x.2

Revision 1.15  2008/07/12 14:57:09  megabajt
- added epoch to internal deps
- removed TODO. Installation works properly and there is no need to
  fix dependency loop

Revision 1.14  2008/07/12 14:19:52  vip
- Epoch must be int

Revision 1.13  2008/07/12 12:38:32  megabajt
- updated to 0.1.0-080712git
- release 0.1 (TODO has to be done before bumping release)

Revision 1.12  2008/01/22 19:19:58  qboosh
- separated gtk,qt4 interfaces one of which is required
- suggest matching compizconfig backend (instead of requiring KDE)
- VERSION is specified as 0.0.0, where did that "5.2" come from?

Revision 1.11  2008-01-07 07:47:49  qboosh
- some cleanups

Revision 1.10  2007-12-18 17:04:54  shadzik
- kill PyQt requires and add S: python-PyQt4 instead

Revision 1.9  2007-12-13 17:34:47  shadzik
- R: python-PyQt

Revision 1.8  2007-12-11 19:24:01  shadzik
- R: compizconfig-backend-kconfig
- adapterized

Revision 1.7  2007-12-11 19:19:58  shadzik
- rel 1.x.0

Revision 1.6  2007-12-11 19:19:03  shadzik
- R: xorg-app-xvinfo

Revision 1.5  2007-12-11 19:12:37  shadzik
- R python-compizconfig

Revision 1.4  2007-12-11 19:01:48  shadzik
- BR: rpm-pythonprov

Revision 1.3  2007-12-11 18:59:54  shadzik
- ehh python->python-devel of course

Revision 1.2  2007-12-11 18:57:46  shadzik
- BR: python (wrrrrrrrrr)

Revision 1.1  2007-11-03 18:17:28  rotom
- New (NFY)
